#
# spec file for package wasp
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wasp
Version:        0.0.4
Release:        0
Summary:        wabt-related technology
License:        Apache-2.0
# FIXME: use correct group or remove it, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Tools
URL:            https://github.com/WebAssembly/wasp
Source0:        %{name}-%{version}.tar.xz
Source99:       wasp-rpmlintrc
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ninja

%description
Wasp is a C++ library designed to make it easy to work with WebAssembly modules.
Unlike wabt, it is designed to be used as a library.

It includes the wasp tool.

%package devel
Summary:        Development packages for %{name}
Group:          Development/Libraries/C and C++

%description devel
Development headers for wasp

%prep
%autosetup
%cmake -DBUILD_TESTS=OFF -G Ninja
cd -

%build
%ninja_build -C build

%install
%ninja_install -C build

%files
%license LICENSE
%doc README.md
%{_bindir}/wasp
%{_mandir}/man1/wasp.1%{?ext_man}

%files devel
%{_includedir}/wasm-rt-impl.h
%{_includedir}/wasm-rt.h
%{_libdir}/libwasm-rt-impl.a

%changelog
